runrep <-
function(cond, seednum) {
    RNGkind("L'Ecuyer-CMRG")
    assign(".Random.seed", seednum[unlist(cond[4]),], envir = .GlobalEnv)
	a <- unlist(cond[1])
	b <- unlist(cond[2])
	n <- unlist(cond[3])
	x <- rnorm(n, 0, 1)
	pred <- a + b * x
	predprob <- 1/(1+exp(-pred))
	y <- runif(length(predprob)) < predprob
	dat <- data.frame(x, y)
	mylogit <- glm(y ~ x, data = dat, family = "binomial")
	result <- matrix(NA, 3, 2)
	result[1,] <- try(confint.default(mylogit)[2,])
	result[2,] <- try(confint(mylogit)[2,])
	confint.boot <- function(mydata) {
		FUN <- function(data, i) {
			mylogit <- glm(y ~ x, data = data[i,], family = "binomial")
			coef(mylogit)[2]
		}
		library(boot)
		bootout <- boot(data = mydata, statistic = FUN, R = 2000, stype = "i")
		boot.ci(boot.out = bootout, conf = 0.95, type = "bca")$bca[1, 4:5]
	}
	result[3,] <- try(confint.boot(dat))
	cover <- (result[,1] < b) & (b < result[,2])
	return(cover)
}
